## sendfile 1.5-1

=== Makefile ===
# Makefile automaticly generated by genmake.
# DO NOT TOUCH THIS FILE!
# Instead edit config.h


first:
	@echo "Edit config.h if you wish and then type: make all"
all: make
	make
clean: make
	make clean
make:
	sh genmake

## sendfile 2.1

=== Makefile ===
# Do not edit this file!
# It is autogenerated by "makeconfig" and will be overwritten next time!
# If you want to change some values, so do it in "makeconfig".

PROJECT=sendfile-2.1

all: develop/config.cache .
	cd src; make

install: develop/config.cache .
	sh develop/install 

config: 
	./makeconfig

develop/config.cache: makeconfig
	./makeconfig
	
clean:
	rm -f *~ */*~ sendfile-*tar.gz sendfile*zip 
	./makeconfig clean
	cd contrib/xhoppel; make clean
	cd develop; rm -f config.cache config.log
	cd src; make clean; rm -f config.h globals.h
	
wc:
	@cd src; wc -cl \
	  sendfile.c sendfiled.c sendmsg.c receive.c utf7encode.c fetchfile.c \
	  string.[ch] utf7.[ch] pstring.[ch] message.[ch] peername.[ch] \
	  io.[ch] net.[ch] address.[ch] spool.[ch] reply.[ch] getline.[ch] \
	  getdate.c snprintf.c wlock.c bsd.h \
	  ../develop/install ../makeconfig ../etc/check_sendfile \
	  ../etc/sf_cleanup ../etc/sfconf ../etc/sfdconf ../etc/sendfile.cf

dist: clean
	@mkdir $(PROJECT)
	@tar cf - `cat develop/FILES` | (cd $(PROJECT); tar xf - )
	tar cvf - $(PROJECT) | gzip > $(PROJECT).tar.gz
	@zip -r $(PROJECT).zip $(PROJECT)
	@rm -rf $(PROJECT)
	@ls -l $(PROJECT).tar.gz $(PROJECT).zip

floppy: clean
	cd ..; tar cvzf /dev/fd0 $(PROJECT)
	@cd ..; tar czf /tmp/sf.tgz $(PROJECT)
	@echo "insert a new disk and press enter"; read dummy
	mformat a:; mcopy /tmp/sf.tgz a:; rm -f /tmp/sf.tgz

=== src/Makefile ===
# Do not edit this file!
# It is autogenerated by "makeconfig" and will be overwritten next time!
# If you want to change some values, so do it in "makeconfig".

CC=gcc
CFLAGS=-Wall -ansi -pedantic -DBETA -DSOLARIS2
LINK=gcc
LDFLAGS=-s
LIBS= -lnsl -lsocket -lreadline -ltermcap

PROJECT=	sendfile sendmsg receive sendfiled utf7encode fetchfile wlock

SENDFILE_OBJ=   sendfile.o message.o utf7.o pstring.o string.o io.o net.o \
                address.o spool.o
FETCHFILE_OBJ=	fetchfile.o message.o utf7.o pstring.o string.o io.o net.o \
                address.o spool.o getline.o
SENDMSG_OBJ=    sendmsg.o message.o utf7.o pstring.o string.o io.o net.o \
                address.o getline.o
RECEIVE_OBJ=    receive.o message.o utf7.o pstring.o string.o io.o spool.o \
                getdate.o getline.o
SENDFILED_OBJ=  sendfiled.o message.o utf7.o pstring.o string.o io.o net.o \
                spool.o peername.o reply.o address.o
UTF7ENCODE_OBJ= utf7encode.o message.o utf7.o pstring.o


all:	$(PROJECT)
	@ls -l $(PROJECT)
	@echo
	@echo "and now type (as root):  make install"
	@echo

install: sendfile sendmsg receive sendfiled fetchfile utf7encode
	@cd ..;sh install SOLARIS2

sendfile: $(SENDFILE_OBJ)
	$(LINK) $(LDFLAGS) $(SENDFILE_OBJ) -o sendfile $(LIBS)

fetchfile: $(FETCHFILE_OBJ)
	$(LINK) $(LDFLAGS) $(FETCHFILE_OBJ) -o fetchfile $(LIBS)

sendmsg: $(SENDMSG_OBJ)
	$(LINK) $(LDFLAGS) $(SENDMSG_OBJ) -o sendmsg $(LIBS)

receive: $(RECEIVE_OBJ)
	$(LINK) $(LDFLAGS) $(RECEIVE_OBJ) -o receive $(LIBS)

sendfiled: $(SENDFILED_OBJ)
	$(LINK) $(LDFLAGS) $(SENDFILED_OBJ) -o sendfiled $(LIBS)

utf7encode: $(UTF7ENCODE_OBJ)
	$(LINK) $(LDFLAGS) $(UTF7ENCODE_OBJ) -o utf7encode $(LIBS)
	@rm -f utf7decode
	ln -s utf7encode utf7decode

wlock: wlock.o
	$(CC) -o wlock wlock.c

clean:
	rm -rf core *.o *~ a.out .deps \
	       sendfile sendfiled sendmsg receive fetchfile utf7??code wlock

trimeol:
	perl -pi -e 's/[ \t]+$//' *.c *.h


.c.o:
	$(CC) $(CFLAGS) -c $<

sendfile.o: sendfile.c config.h globals.h utf7.h string.h io.h
fetchfile.o: fetchfile.c config.h globals.h utf7.h string.h io.h
sendmsg.o: sendmsg.c config.h globals.h utf7.h string.h
receive.o: receive.c config.h globals.h utf7.h spool.h string.h io.h
sendfiled.o: sendfiled.c reply.h config.h globals.h utf7.h spool.h string.h
spoolid.o: spoolid.c config.h globals.h
message.o: message.c message.h config.h globals.h
utf7.o: utf7.c utf7.h config.h globals.h string.h
base64.o: base64.c base64.h config.h globals.h
pstring.o: pstring.c pstring.h config.h globals.h
peername.o: peername.c peername.h string.h config.h globals.h
net.o: net.c net.h io.h config.h globals.h
io.o: io.c io.h config.h globals.h
string.o: string.c string.h config.h globals.h
address.o: address.c address.h config.h globals.h string.h
spool.o: spool.c spool.h config.h globals.h string.h
reply.o: reply.c reply.h config.h globals.h net.h
getdate.o: getdate.c config.h
getline.o: getline.c config.h
utf7encode.o: utf7encode.c config.h globals.h utf7.h

=== contrib/xhoppel/Makefile ===
CC=gcc -O2 -I/usr/X386/include -D_POSIX_SOURCE -c
LINK=gcc
LIBS=-L/usr/X11/lib -lXaw -lXmu -lXt -lXext -lX11


xhoppel: Mailbox.o xhoppel.o
	$(LINK) -o xhoppel Mailbox.o xhoppel.o $(LIBS)
	strip xhoppel

Mailbox.o: Mailbox.c nohoppel.xbm hoppelda.xbm
	$(CC) Mailbox.c
	
xhoppel.o: xhoppel.c
	$(CC) xhoppel.c

clean:
	rm -f core *~ *.o xhoppel

## sendfile 2.1b

=== src/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # It is autogenerated by "makeconfig" and will be overwritten next time!
 # If you want to change some values, so do it in "makeconfig".
 
-CC=gcc
-CFLAGS=-Wall -ansi -pedantic -DBETA -DSOLARIS2
-LINK=gcc
+CC=gcc -I/client/include -L/client/lib -R/client/lib
+CFLAGS=-O2 -Wall -DSOLARIS2
+LINK=gcc -I/client/include -L/client/lib -R/client/lib
 LDFLAGS=-s
 LIBS= -lnsl -lsocket -lreadline -ltermcap
 
@@ -17,10 +17,10 @@
 SENDMSG_OBJ=    sendmsg.o message.o utf7.o pstring.o string.o io.o net.o \
                 address.o getline.o
 RECEIVE_OBJ=    receive.o message.o utf7.o pstring.o string.o io.o spool.o \
-                getdate.o getline.o
+                getdate.o getline.o lock.o
 SENDFILED_OBJ=  sendfiled.o message.o utf7.o pstring.o string.o io.o net.o \
-                spool.o peername.o reply.o address.o
-UTF7ENCODE_OBJ= utf7encode.o message.o utf7.o pstring.o
+                spool.o peername.o reply.o address.o lock.o
+UTF7ENCODE_OBJ= utf7encode.o message.o utf7.o pstring.o string.o io.o
 
 
 all:	$(PROJECT)
@@ -52,8 +52,8 @@
 	@rm -f utf7decode
 	ln -s utf7encode utf7decode
 
-wlock: wlock.o
-	$(CC) -o wlock wlock.c
+wlock: wlock.o string.o
+	$(LINK) $(LDFLAGS) wlock.o string.o -o wlock
 
 clean:
 	rm -rf core *.o *~ a.out .deps \
@@ -66,9 +66,9 @@
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 
-sendfile.o: sendfile.c config.h globals.h utf7.h string.h io.h
+sendfile.o: sendfile.c config.h globals.h utf7.h string.h io.h address.h
 fetchfile.o: fetchfile.c config.h globals.h utf7.h string.h io.h
-sendmsg.o: sendmsg.c config.h globals.h utf7.h string.h
+sendmsg.o: sendmsg.c config.h globals.h utf7.h string.h address.h
 receive.o: receive.c config.h globals.h utf7.h spool.h string.h io.h
 sendfiled.o: sendfiled.c reply.h config.h globals.h utf7.h spool.h string.h
 spoolid.o: spoolid.c config.h globals.h
@@ -85,4 +85,5 @@
 reply.o: reply.c reply.h config.h globals.h net.h
 getdate.o: getdate.c config.h
 getline.o: getline.c config.h
+lock.o: lock.c lock.h
 utf7encode.o: utf7encode.c config.h globals.h utf7.h

## sendfile 2.1b.20080616

=== Makefile ===
# Do not edit this file!
# It is autogenerated by "makeconfig" and will be overwritten next time!
# If you want to change some values, so do it in "makeconfig".

PROJECT=sendfile-2.1b

all: develop/config.log .
	cd src; make

install: develop/config.log .
	sh develop/install 

userinstall: develop/config.log .
	sh develop/userinstall

reinstall: develop/config.log .
	sh develop/install  reinstall

config: 
	./makeconfig

develop/config.log: makeconfig
	./makeconfig
	
clean:
	rm -f *~ */*~ sendfile-*tar.gz
	./makeconfig clean
	cd contrib/xhoppel && make clean
	cd develop && rm -rf config.cache config.log autom4te.cache
	cd src && make clean && rm -f config.h globals.h
	
wc:
	@cd src; wc -cl \
	  sendfile.c sendfiled.c sendmsg.c receive.c utf7encode.c fetchfile.c \
	  string.[ch] utf7.[ch] pstring.[ch] message.[ch] peername.[ch] \
	  io.[ch] net.[ch] address.[ch] spool.[ch] reply.[ch] getline.[ch] \
	  lock.[ch] wlock.c bsd.h pussy \
	  ../develop/install ../develop/makefile* ../makeconfig \
	  ../etc/check_sendfile ../etc/xinetd \
	  ../etc/sf_cleanup ../etc/sfconf ../etc/sfdconf ../etc/sendfile.cf

dist: clean
	@mkdir $(PROJECT)
	@tar cf - `cat develop/FILES` | (cd $(PROJECT); tar xf - )
	tar cvf - $(PROJECT) | gzip > $(PROJECT).tar.gz
	@rm -rf $(PROJECT)
	@ls -l $(PROJECT).tar.gz 

floppy: clean
	cd ..; tar cvzf /dev/fd0 $(PROJECT)
	@cd ..; tar czf /tmp/sf.tgz $(PROJECT)
	@echo "insert a new disk and press enter"; read dummy
	mformat a:; mcopy /tmp/sf.tgz a:; rm -f /tmp/sf.tgz

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.1l from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = /usr/local/bin
sbindir = ${exec_prefix}/sbin
libexecdir = /usr/local/sbin
datadir = ${prefix}/share
sysconfdir = /usr/local/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = /usr/local/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/sendfile
pkglibdir = $(libdir)/sendfile
pkgincludedir = $(includedir)/sendfile

top_builddir = ..

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,
target_alias = i486-pc-linux-gnu
build_alias = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
target_triplet = i486-pc-linux-gnu
build_triplet = i486-pc-linux-gnu
host_alias = i486-pc-linux-gnu
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
PACKAGE = sendfile
SYSTEM = i486-pc-linux-gnu
CC = gcc
VERSION = 1.6
REVISION = 19970327

AUTOMAKE_OPTIONS = gnits
MAINT_CHARSET = latin1

man_MANS = sendfile.1 sendmsg.1 receive.1

EXTRA_DIST = LIESMICH LIESMICH.auch LIESMICH.neu LIESMICH.goern doc.txt \
             doku.ps doku.txt
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = .././src/config.h
CONFIG_CLEAN_FILES = 
MANS = sendfile.1 sendmsg.1 receive.1

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) \
	$(TEXINFOS) $(MANS) $(EXTRA_DIST)

TAR = tar
default: all

.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL) 
	cd $(top_srcdir) && automake --gnits doc/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

install-man: $(MANS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(mandir)/man1
	sect=1;				\
	inst=`echo "sendfile" | sed '$(transform)'`.1; \
	if test -f $(srcdir)/sendfile.1; then file=$(srcdir)/sendfile.1; \
	else file=sendfile.1; fi; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst
	sect=1;				\
	inst=`echo "sendmsg" | sed '$(transform)'`.1; \
	if test -f $(srcdir)/sendmsg.1; then file=$(srcdir)/sendmsg.1; \
	else file=sendmsg.1; fi; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst
	sect=1;				\
	inst=`echo "receive" | sed '$(transform)'`.1; \
	if test -f $(srcdir)/receive.1; then file=$(srcdir)/receive.1; \
	else file=receive.1; fi; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst

uninstall-man:
	inst=`echo "sendfile" | sed '$(transform)'`.1; \
	rm -f $(mandir)/man1/$$inst
	inst=`echo "sendmsg" | sed '$(transform)'`.1; \
	rm -f $(mandir)/man1/$$inst
	inst=`echo "receive" | sed '$(transform)'`.1; \
	rm -f $(mandir)/man1/$$inst

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc
distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	$(NORMAL_INSTALL)

install-data: install-man
	$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-man

all: $(MANS) Makefile

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs:
	$(mkinstalldirs)  $(mandir)/man1


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-generic

clean:  clean-generic mostlyclean

distclean:  distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default install-man uninstall-man tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== src/Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # It is autogenerated by "makeconfig" and will be overwritten next time!
 # If you want to change some values, so do it in "makeconfig".
 
-CC=gcc -I/client/include -L/client/lib -R/client/lib
-CFLAGS=-O2 -Wall -DSOLARIS2
-LINK=gcc -I/client/include -L/client/lib -R/client/lib
+CC=gcc
+CFLAGS=-O2 -Wall -DLINUX
+LINK=gcc
 LDFLAGS=-s
-LIBS= -lnsl -lsocket -lreadline -ltermcap
+LIBS= -lnsl -lreadline -L/usr/lib/termcap -ltermcap
 
 PROJECT=	sendfile sendmsg receive sendfiled utf7encode fetchfile wlock
 
@@ -30,7 +30,7 @@
 	@echo
 
 install: sendfile sendmsg receive sendfiled fetchfile utf7encode
-	@cd ..;sh install SOLARIS2
+	@cd ..;sh install LINUX
 
 sendfile: $(SENDFILE_OBJ)
 	$(LINK) $(LDFLAGS) $(SENDFILE_OBJ) -o sendfile $(LIBS)

=== contrib/xhoppel/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=gcc -O2 -I/usr/X386/include -D_POSIX_SOURCE -c
 LINK=gcc
-LIBS=-L/usr/X11/lib -lXaw -lXmu -lXt -lXext -lX11
+LIBS=-L/usr/X11/lib -lXaw -lXmu -lXt -lXext -lX11 -lsocket -lnsl
 
 
 xhoppel: Mailbox.o xhoppel.o

=== debian/changelog ===
sendfile (2.1b.20080616-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for sendfile.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:35:27 +0100

sendfile (2.1b.20080616-9) unstable; urgency=medium

  * QA upload.
  * debian/NMU-Disclaimer: Dropped, the package is now orphaned.
  * debian/control:
    + Use up-to-date homepage field.
    + Add new Vcs-* fields to indicate usage of git packaging repo
      under Salsa Debian GitLab.
    + Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/source/format: Convert to "3.0 (quilt)" format.
  * debian/patches: Convert direct source code changes into patch
    series.
  * debian/changelog: Remove trailing spaces.
  * debian/copyright: Fix typo.
  * debian/rules: Drop useless Makefile targets
    (source diff, dsc, checkroot, dist).
  * debian/rules: Add recommended targets (build-arch, build-indep).
  * debian/rules: Remove trailing spaces.
  * debian/sf_cleanup: Replace missing tempfile(1) call with mktemp(1).
    (Closes: #969409)

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Aug 2021 00:24:49 -0400

sendfile (2.1b.20080616-8) unstable; urgency=medium

  * No-change upload to ensure migration to testing. Thanks to Vagrant
    Cascadian for the heads-up.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Dec 2020 16:26:59 +0000

sendfile (2.1b.20080616-7) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #776938)
  * Move Homepage field to source package from binary package.
  * Specify "1.0" as an explicit source format.
  * Remove duplicate "Section: net" and "Priority: optional" from
    debian/control.
  * Add missing "set -e" to preinst script. (Closes: #866268)
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 21 Dec 2020 11:20:18 +0000

sendfile (2.1b.20080616-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #934436)
  * Using new DH level format. Consequently:
      - debian/control: added debhelper-compat to Build-Depends field.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Junior Figueredo <juniorfg.debian@outlook.com>  Wed, 13 May 2020 08:43:38 -0300

sendfile (2.1b.20080616-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #726495)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 16:46:19 +0800

sendfile (2.1b.20080616-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't edit /etc/services, /etc/profile and /etc/csh.login
  * Cleanup edits to those files from previous versions
    Closes: #685631
  * Depend on update-inetd because the postinst script requires the perl
    module DebianNet
  * Depend on libdpkg-perl for version checks in postinst script

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 25 Aug 2012 11:03:41 +0200

sendfile (2.1b.20080616-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove all files on purge.  Thanks for the patch to
    Andreas Beckmann <debian@abeckmann.de>
    Closes: #668721

 -- Andreas Tille <tille@debian.org>  Thu, 09 Aug 2012 15:03:55 +0200

sendfile (2.1b.20080616-5) unstable; urgency=low

  * Add new config file /etc/profile.d/sendfile and remove old line from
    /etc/profile if it is detected during installation (closes: Bug#17545)

 -- Joey Schulze <joey@infodrom.org>  Mon, 13 Jun 2011 17:01:09 +0200

sendfile (2.1b.20080616-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Check if /etc/cron.weekly/sendfile is unmodified when upgrading from
    lenny, and remove it if so; avoids spurious dpkg warning (closes: #606777)

 -- Chris Butler <chrisb@debian.org>  Sun, 19 Dec 2010 15:31:42 +0000

sendfile (2.1b.20080616-4) unstable; urgency=low

  * Terminate weekly cronjob (sf_cleenup) preemptively when no sendfile
    program exists (closes: Bug#571935)
  * Clean up temporary directory before exiting during weekly cronjob

 -- Joey Schulze <joey@infodrom.org>  Sun, 22 Aug 2010 14:49:42 +0200

sendfile (2.1b.20080616-3) unstable; urgency=low

  * Adjust configuration file path in manpages to reality (closes: Bug#540818)
  * Update config.guess and config.sub in develop from automake 1.11
    (closes: Bug#535738)
  * Convert Authors and Thanks files to UTF-8 when adding to copyright file
  * Explicitly specify version 2 of GPL as license
  * Remove absolute path from postrm script

 -- Joey Schulze <joey@infodrom.org>  Mon, 25 Jan 2010 16:20:59 +0100

sendfile (2.1b.20080616-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "file-in-etc-not-marked-as-conffile /etc/cron.weekly/sendfile"
    by adding /etc/cron.weekly/sendfile to debian/conffiles (closes: #553563).
  * Fix "replacing libreadline5-dev build dependency with libreadline-
    dev" (closes: #553850).

 -- Gregor Herrmann <gregoa@debian.org>  Sat, 28 Nov 2009 13:50:59 +0100

sendfile (2.1b.20080616-2) unstable; urgency=low

  * Adjusted permissions of logrotate file, thanks to Jan Sievers
    <sievers@zedat.fu-berlin.de> (closes: Bug#487079)

 -- Joey Schulze <joey@infodrom.org>  Thu, 19 Jun 2008 20:16:01 +0200

sendfile (2.1b.20080616-1) unstable; urgency=low

  * New upstream version 2.1b from 2008-06-16
  * Adjusted source URL
  * Corrected receive(1) manpage

 -- Joey Schulze <joey@infodrom.org>  Thu, 19 Jun 2008 08:50:20 +0200

sendfile (2.1b.20080311-2) unstable; urgency=low

  * Fix NULL pointer dereference in src/sendfile.c by Ulf Fischer
    <ulf@isdoof.de> (closes: Bug#485285)

 -- Joey Schulze <joey@infodrom.org>  Mon, 16 Jun 2008 11:41:30 +0200

sendfile (2.1b.20080311-1) unstable; urgency=low

  * New upstream version 2.1b from 2008-03-11
  * Added new homepage address

 -- Joey Schulze <joey@infodrom.org>  Sun, 15 Jun 2008 13:36:13 +0200

sendfile (2.1b-7) unstable; urgency=low

  * Updated lists and addresses


=== debian/control ===
Source: sendfile
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libreadline-dev, autotools-dev
Standards-Version: 4.6.1
Homepage: https://fex.belwue.de/saft/
Vcs-Git: https://salsa.debian.org/debian/sendfile.git
Vcs-Browser: https://salsa.debian.org/debian/sendfile

Package: sendfile
Architecture: any
Depends: ${shlibs:Depends}, openbsd-inetd | inet-superserver, perl | perl5, update-inetd, libdpkg-perl, ${misc:Depends}
Suggests: pgp-i
Description: Simple Asynchronous File Transfer
 Sendfile is an asynchronous file transfer service for the Internet,
 like the sendfile facility in Bitnet: Any user A can send files to
 another user B without B being active in any way.
 .
 The existing standard file transfer (ftp) is a synchronous service:
 The user must have access to an account on the sending and on the
 receiving site, too.
 .
 Sendfile for Unix, which is an implementation of the SAFT protocol
 (Simple Asynchronous File Transfer) now offers you a true
 asynchronous file transfer service for the Internet.  Virtually any
 form of file can be sent, including encrypted ones.  The SAFT
 protocol will be submitted as an RFC in the near future.

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-97   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.

SHELL=/bin/bash

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP = -s
endif

build-arch:
	cp -f /usr/share/misc/config.sub  develop/
	cp -f /usr/share/misc/config.guess develop/
	test -f develop/config.cache || ./makeconfig CONFIG=/etc BINDIR=/usr/bin MANDIR=/usr/share/man SERVERDIR=/usr/bin
	perl -i -pe 's/undef\s+ENABLE_MULTIPROTOCOL/define ENABLE_MULTIPROTOCOL/' src/globals.h
	$(MAKE) all
	touch stamp-build

build-indep:
# Nothing to be done here

build: build-arch build-indep

clean: debclean
	rm -rf stamp-build
	$(MAKE) clean

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(installbin) debian/{preinst,prerm,postinst,postrm} debian/tmp/DEBIAN
	$(installdoc) debian/conffiles debian/tmp/DEBIAN
	#
	$(installbin) -d debian/tmp/usr/share/doc/$(package){,/german}
	$(installdoc) debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	$(installdoc) debian/copyright debian/tmp/usr/share/doc/$(package)
	printf "Authors:\n\n" >> debian/tmp/usr/share/doc/$(package)/copyright
	iconv -f latin1 -t utf8 doc/AUTHORS >> debian/tmp/usr/share/doc/$(package)/copyright
	echo >> debian/tmp/usr/share/doc/$(package)/copyright
	iconv -f latin1 -t utf8 doc/THANKS >> debian/tmp/usr/share/doc/$(package)/copyright
	$(installdoc) doc/README{,.too,.fetchfile} debian/tmp/usr/share/doc/$(package)
	$(installdoc) doc/ChangeLog debian/tmp/usr/share/doc/$(package)/changelog
	$(installdoc) doc/features debian/tmp/usr/share/doc/$(package)/
	gzip -9nf debian/tmp/usr/share/doc/$(package)/{changelog.Debian,changelog,README{,.too,.fetchfile},features}
	$(installdoc) doc/LIESMICH{,.auch,.neu,.entwickler,.spool} debian/tmp/usr/share/doc/$(package)/german
	$(installdoc) doc/doc.txt debian/tmp/usr/share/doc/$(package)
	$(installdoc) doc/{doku.txt,vorteile} debian/tmp/usr/share/doc/$(package)/german
	gzip -9nf debian/tmp/usr/share/doc/$(package)/german/LIESMICH{,.auch,.neu,.entwickler}
	gzip -9nf debian/tmp/usr/share/doc/$(package)/doc.txt
	gzip -9nf debian/tmp/usr/share/doc/$(package)/german/{doku.txt,vorteile}
	#
	$(installbin) -d debian/tmp/usr/bin
	$(installbin) $(STRIP) src/{sendfile,receive,sendmsg,utf7encode,fetchfile,wlock} debian/tmp/usr/bin
	$(installbin) etc/check_sendfile debian/tmp/usr/bin/check-sendfile
	cd debian/tmp/usr/bin && ln -sf utf7encode utf7decode
	$(installbin) -d debian/tmp/usr/sbin
	$(installbin) $(STRIP) src/sendfiled debian/tmp/usr/sbin
	$(installbin) src/pussy debian/tmp/usr/bin
	$(installbin) etc/sfconf debian/tmp/usr/bin
	#
	$(installbin) -d debian/tmp/usr/share/man/man{1,7,8}
	$(installdoc) doc/{sendfile,sendmsg,receive,fetchfile}.1 debian/tmp/usr/share/man/man1
	$(installdoc) debian/pussy.1 debian/tmp/usr/share/man/man1
	$(installdoc) debian/sfconf.1 debian/tmp/usr/share/man/man1
	$(installdoc) debian/check-sendfile.1 debian/tmp/usr/share/man/man1
	$(installdoc) doc/utf7encode.1 debian/tmp/usr/share/man/man1
	$(installdoc) doc/wlock.1 debian/tmp/usr/share/man/man1
	$(installdoc) doc/sendfiled.8 debian/tmp/usr/share/man/man8
	$(installdoc) doc/fetchfile.7 debian/tmp/usr/share/man/man7
	gzip -9nf debian/tmp/usr/share/man/man?/*
	cd debian/tmp/usr/share/man/man1 && ln -s utf7encode.1.gz utf7decode.1.gz
	#
	$(installbin) -d debian/tmp/etc/cron.weekly
	$(installbin) debian/sf_cleanup debian/tmp/etc/cron.weekly/sendfile
	#
	$(installbin) -d debian/tmp/etc/profile.d
	$(installdoc) debian/profile.d debian/tmp/etc/profile.d/sendfile
	#
	$(installbin) -d debian/tmp/etc/logrotate.d
	$(installdoc) debian/logrotate debian/tmp/etc/logrotate.d/sendfile
	#
	$(installbin) -d debian/tmp/etc/csh/login.d
	$(installbin) debian/csh debian/tmp/etc/csh/login.d/sendfile
	#
	$(installdoc) debian/sendfile.cf debian/tmp/etc
	$(installdoc) debian/nosendfile debian/tmp/etc/sendfile.deny
	#
	$(installbin) -d debian/tmp/var/log/sendfile
	$(installbin) -d debian/tmp/var/spool/sendfile
	install -o root -g root -m 1777 -d debian/tmp/var/spool/sendfile/OUTGOING
	#
	dpkg-shlibdeps debian/tmp/usr/bin/{sendfile,receive,sendmsg,utf7encode,fetchfile,wlock}
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
